j2k_region Class Reference

`#include <coding_units.hpp>`

Inheritance diagram for j2k_region:

## Public Member Functions

element_siz | get_pos0 () const
element_siz | get_pos1 () const
void | get_size (element_siz &out) const
void | set_pos0 (element_siz in)
void | set_pos1 (element_siz in)
| j2k_region ()=default
| j2k_region (element_siz p0, element_siz p1)

## Public Attributes

element_siz | pos0
element_siz | pos1

## Constructor & Destructor Documentation

## j2k_region() [1/2]

j2k_region::j2k_region | ( |  | ) |

default

## j2k_region() [2/2]

j2k_region::j2k_region | ( | element_siz | p0,
|  | element_siz | p1
| ) |  |

inline

## Member Function Documentation

## get_pos0()

element_siz j2k_region::get_pos0 | ( |  | ) | const

inline

References pos0.

## get_pos1()

element_siz j2k_region::get_pos1 | ( |  | ) | const

inline

References pos1.

## get_size()

void j2k_region::get_size | ( | element_siz & | out | ) | const

inline

References pos0, pos1, element_siz::x, and element_siz::y.

## set_pos0()

void j2k_region::set_pos0 | ( | element_siz | in | ) |

inline

References pos0.

## set_pos1()

void j2k_region::set_pos1 | ( | element_siz | in | ) |

inline

References pos1.

## Member Data Documentation

## pos0

element_siz j2k_region::pos0

Referenced by get_pos0(), get_size(), and set_pos0().

## pos1

element_siz j2k_region::pos1

Referenced by get_pos1(), get_size(), and set_pos1().

The documentation for this class was generated from the following file:

- coding_units.hpp